## cong-primary-window

cong-primary-window —

## Synopsis

    CongPrimaryWindow* cong_primary_window_new  (CongDocument *doc);
    void        cong_primary_window_add_doc     (CongPrimaryWindow *primary_window,
                                                 CongDocument *doc);
    void        cong_primary_window_free        (CongPrimaryWindow *primary_window);
    CongDocument* cong_primary_window_get_document
                                                (CongPrimaryWindow *primary_window);
    void        cong_primary_window_update_title
                                                (CongPrimaryWindow *primary_window);
    GtkWindow*  cong_primary_window_get_toplevel
                                                (CongPrimaryWindow *primary_window);
    gboolean    cong_primary_window_can_close   (CongPrimaryWindow *primary_window);

## Description

## Details

### cong_primary_window_new ()

    CongPrimaryWindow* cong_primary_window_new  (CongDocument *doc);

Creates a new conglomerate window; If `doc` is NULL, only the GUI is created, if not, the `doc` is added to the gui by calling `cong_primary_window_add_doc()`.

`doc` : | the document that should be loaded into the new window; if NULL, a document-less window is created
Returns : | The new created window

### cong_primary_window_add_doc ()

    void        cong_primary_window_add_doc     (CongPrimaryWindow *primary_window,
                                                 CongDocument *doc);

Adds the CongDocument `doc` to a given window. This function is called from `cong_primary_window_new()`.

`primary_window` : |
`doc` : |

### cong_primary_window_free ()

    void        cong_primary_window_free        (CongPrimaryWindow *primary_window);

TODO: Write me

`primary_window` : |

### cong_primary_window_get_document ()

    CongDocument* cong_primary_window_get_document
                                                (CongPrimaryWindow *primary_window);

TODO: Write me

`primary_window` : |
Returns : |

### cong_primary_window_update_title ()

    void        cong_primary_window_update_title
                                                (CongPrimaryWindow *primary_window);

TODO: Write me

`primary_window` : |

### cong_primary_window_get_toplevel ()

    GtkWindow*  cong_primary_window_get_toplevel
                                                (CongPrimaryWindow *primary_window);

TODO: Write me

`primary_window` : |
Returns : |

### cong_primary_window_can_close ()

    gboolean    cong_primary_window_can_close   (CongPrimaryWindow *primary_window);

TODO: Write me

`primary_window` : |
Returns : |